package models

import "time"

type SenlinAgentTag struct {
	ID              uint   `gorm:"primaryKey"`
	Identity        string `gorm:"type:char(36);uniqueIndex"`
	ProjectID       uint   `gorm:"index;not null"`
	ProjectIdentity string `gorm:"type:char(36);index"`
	Name            string `gorm:"not null"`
	CreatedAt       time.Time
}

func (SenlinAgentTag) TableName() string {
	return "senlin_agent_tags"
}
